{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:lang('user_account_index_title')}－{:config('common.site_name')}</title>
<meta name="keywords" content="{:lang('user_account_index_keywords')}" />
<meta name="description" content="{:lang('user_account_index_description')}" />{/block}
{block name="header_more"}<link href="{:DcUrlCss($domain, $path_root.$path_view.'column.css')}" rel="stylesheet">{/block}
{block name="main"}
<div class="d-flex flex-column justify-content-center h-100">
  <a class="h3 text-light text-decoration-none mx-auto mb-4" href="{$path_root}">{:config('common.site_name')}</a>
  <div class="card mx-auto card-width">
    <div class="card-header text-center pt-3">
      <a class="small text-muted" href="{:DcUrl('user/login/index')}"><i class="fa fa-fw fa-key"></i>密码登录</a>
      <a class="small text-purple mx-3" href="javascript:;"><i class="fa fa-fw fa-sign-in"></i>验证码登录</a>
      <a class="small text-muted" href="{:DcUrl('user/register/index')}"><i class="fa fa-fw fa-user"></i>注册帐号</a>
    </div>
    <form class="card-body" action="{:DcUrl('user/account/notice')}" method="post" data-toggle="form" data-callback="daicuo.user.account">
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fa fa-fw fa-sign-in"></i></span>
        </div>
        <input type="text" class="form-control" name="user_name" required="true" placeholder="{:implode('/',array_map(lang,$captcha_list))}" autocomplete="off">
      </div>
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text"><i class="fa fa-fw fa-image"></i></span>
        </div>
        <input class="form-control" type="text" name="user_captcha" placeholder="验证码" autocomplete="off" maxlength="6">
        <div class="input-group-append">
          <button class="btn btn-purple" id="btn-captcha" type="submit" data-toggle="submit" data-action="{:DcUrl('user/account/notice')}" data-second="{:config('user.captcha_interval')}" data-tips="重发">发送</button>
        </div>
      </div>
      <div class="form-group row row-1">
        <div class="col-6 px-1">
          <input type="text" class="form-control text-center" name="img_captcha" required="true" autocomplete="off" maxlength="6">
        </div>
        <div class="col-6 px-1">
          <img class="rounded border w-100 h-100"  src="{$path_root}index.php?s=captcha" data-toggle="captcha"/>
        </div>
      </div>
      <p class="text-center mb-2">
        <button class="btn btn-purple btn-block" id="btn-submit" type="submit" data-toggle="submit" data-action="{:DcUrl('user/account/update')}">登录/注册</button>
      </p>
      <p class="small text-muted text-center mb-0">
        未注册的<strong>{:implode('/',array_map(lang,$captcha_list))}</strong>验证成功后自动登录
      </p>
    </form>
    {if config('user.oauths')}
    <div class="card-footer text-center small">
      {foreach name=":explode(',',config('user.oauths'))" id="login"}
      <a href="{:DcUrl($login)}">{:lang($login)}</a>
      {/foreach}
    </div>
    {/if}
  </div>
</div>
{/block}